Get filter values
curl --request GET \
--url https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"values": [
"Africa",
"Antarctica",
"Asia",
"Europe",
"North America",
"Oceania",
"South America"
],
"metadata": {
"request_id": "18f8fbd1-fa1d-4c67-9dd5-a2434ce1a6b5",
"timestamp": "2025-10-08T06:35:46.901505+00:00"
}
}Filter values
Get filter values
Retrieve every value a category filter can take, so a filter can be built without guessing its values. Values are returned in the exact form the corresponding search filter accepts: countries as ISO 3166-1 alpha-2 codes, source ranks as RANK_1..RANK_5, and so on.
The full sorted list is returned; there is no narrowing parameter, and lists are capped at 5000 values.
Every filter of every category is available except three on sources, which are stored in a way that cannot be enumerated and return 404: packages, categories and tiers.
GET
/
v1
/
knowledge-graph
/
{category}
/
values
/
{filter}
Get filter values
curl --request GET \
--url https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/knowledge-graph/{category}/values/{filter}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"values": [
"Africa",
"Antarctica",
"Asia",
"Europe",
"North America",
"Oceania",
"South America"
],
"metadata": {
"request_id": "18f8fbd1-fa1d-4c67-9dd5-a2434ce1a6b5",
"timestamp": "2025-10-08T06:35:46.901505+00:00"
}
}Path Parameters
Was this page helpful?